'\" t
.\"     Title: LOAD
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "LOAD" "7" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
LOAD \- load a shared library file
.SH "SYNOPSIS"
.sp
.nf
LOAD \*(Aq\fIfilename\fR\*(Aq
.fi
.SH "DESCRIPTION"
.PP
This command loads a shared library file into the
PostgreSQL
server\*(Aqs address space\&. If the file has been loaded already, the command does nothing\&. Shared library files that contain C functions are automatically loaded whenever one of their functions is called\&. Therefore, an explicit
\fBLOAD\fR
is usually only needed to load a library that modifies the server\*(Aqs behavior through
\(lqhooks\(rq
rather than providing a set of functions\&.
.PP
The file name is specified in the same way as for shared library names in
CREATE FUNCTION (\fBCREATE_FUNCTION\fR(7)); in particular, one can rely on a search path and automatic addition of the system\*(Aqs standard shared library file name extension\&. See
Section 36.9, \(lqC-Language Functions\(rq, in the documentation
for more information on this topic\&.
.PP
Non\-superusers can only apply
\fBLOAD\fR
to library files located in
$libdir/plugins/
\(em the specified
\fIfilename\fR
must begin with exactly that string\&. (It is the database administrator\*(Aqs responsibility to ensure that only
\(lqsafe\(rq
libraries are installed there\&.)
.SH "COMPATIBILITY"
.PP
\fBLOAD\fR
is a
PostgreSQL
extension\&.
.SH "SEE ALSO"
.PP
CREATE FUNCTION (\fBCREATE_FUNCTION\fR(7))
